Index: doc/latex/sim__var__arx_8cpp__incl.eps
===================================================================
--- doc/latex/sim__var__arx_8cpp__incl.eps (revision 210)
+++ doc/latex/sim__var__arx_8cpp__incl.eps (revision 261)
@@ -180,76 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 447 356
+%%PageBoundingBox: 36 36 296 414
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 411 320 boxprim clip newpath
+36 36 260 378 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 58 290 moveto
-58 311 lineto
-258 311 lineto
-258 290 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 58 290 moveto
-58 311 lineto
-258 311 lineto
-258 290 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-66 297.5 moveto 184 (work/git/mixpp/pmsm/sim_var_arx.cpp) alignedtext
+newpath 41 348 moveto
+41 369 lineto
+135 369 lineto
+135 348 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 41 348 moveto
+41 369 lineto
+135 369 lineto
+135 348 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+49 355.5 moveto 78 (sim_var_arx.cpp) alignedtext
 grestore
 % Node2
 gsave
-0.000 0.000 1.000 nodecolor
-newpath 142 0 moveto
-142 21 lineto
-217 21 lineto
-217 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.749 nodecolor
-newpath 142 0 moveto
-142 21 lineto
-217 21 lineto
-217 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-149.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
-grestore
-% Node1->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 116 290 moveto
-69 275 0 243 0 185 curveto
-0 185 0 185 0 127 curveto
-0 64 79 34 132 20 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 132.88 23.39 moveto
-142 18 lineto
-131.51 16.53 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 132.88 23.39 moveto
-142 18 lineto
-131.51 16.53 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 123 233 193 253 ]
+[ /Rect [ 100 291 170 311 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($arx_8h.html) >>
@@ -257,45 +214,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 123 232 moveto
-123 253 lineto
-193 253 lineto
-193 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 123 232 moveto
-123 253 lineto
-193 253 lineto
-193 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-131 239.5 moveto 54 (estim/arx.h) alignedtext
-grestore
-% Node1->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 158 290 moveto
-158 282 158 272 158 263 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 161.5 263 moveto
-158 253 lineto
-154.5 263 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 161.5 263 moveto
-158 253 lineto
-154.5 263 lineto
-closepath stroke
-grestore
-% Node9
-gsave
-[ /Rect [ 321 175 403 195 ]
+newpath 100 290 moveto
+100 311 lineto
+170 311 lineto
+170 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 100 290 moveto
+100 311 lineto
+170 311 lineto
+170 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+108 297.5 moveto 54 (estim/arx.h) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 97 348 moveto
+104 340 113 328 121 319 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 123.8 321.1 moveto
+127 311 lineto
+118.2 316.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 123.8 321.1 moveto
+127 311 lineto
+118.2 316.9 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 0 291 82 311 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($loggers_8h.html) >>
@@ -303,69 +260,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 321 174 moveto
-321 195 lineto
-403 195 lineto
-403 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 321 174 moveto
-321 195 lineto
-403 195 lineto
-403 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-329 181.5 moveto 66 (stat/loggers.h) alignedtext
-grestore
-% Node1->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 178 290 moveto
-215 270 294 224 335 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 336.96 202.92 moveto
-344 195 lineto
-333.56 196.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 336.96 202.92 moveto
-344 195 lineto
-333.56 196.8 lineto
-closepath stroke
-grestore
-% Node3->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 144 232 moveto
-134 223 121 210 111 196 curveto
-91 165 83 152 89 116 curveto
-94 88 95 79 111 58 curveto
-122 45 136 34 149 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 150.96 28.92 moveto
-158 21 lineto
-147.56 22.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 150.96 28.92 moveto
-158 21 lineto
-147.56 22.8 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 225 175 303 195 ]
+newpath 0 290 moveto
+0 311 lineto
+82 311 lineto
+82 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 290 moveto
+0 311 lineto
+82 311 lineto
+82 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+8 297.5 moveto 66 (stat/loggers.h) alignedtext
+grestore
+% Node1->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 79 348 moveto
+72 340 63 328 55 319 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 57.8 316.9 moveto
+49 311 lineto
+52.2 321.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 57.8 316.9 moveto
+49 311 lineto
+52.2 321.1 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 69 233 147 253 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
@@ -373,45 +306,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 225 174 moveto
-225 195 lineto
-304 195 lineto
-304 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 225 174 moveto
-225 195 lineto
-304 195 lineto
-304 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-232.5 181.5 moveto 63 (../stat/libFN.h) alignedtext
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 178 232 moveto
-195 223 219 210 237 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 238.96 202.92 moveto
-246 195 lineto
-235.56 196.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 238.96 202.92 moveto
-246 195 lineto
-235.56 196.8 lineto
+newpath 69 232 moveto
+69 253 lineto
+148 253 lineto
+148 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 69 232 moveto
+69 253 lineto
+148 253 lineto
+148 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+76.5 239.5 moveto 63 (../stat/libFN.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 130 290 moveto
+126 282 121 271 117 262 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 120.26 260.72 moveto
+113 253 lineto
+113.86 263.56 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 120.26 260.72 moveto
+113 253 lineto
+113.86 263.56 lineto
 closepath stroke
 grestore
 % Node7
 gsave
-[ /Rect [ 120 175 196 195 ]
+[ /Rect [ 165 233 241 253 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -419,69 +352,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 120 174 moveto
-120 195 lineto
-196 195 lineto
-196 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 120 174 moveto
-120 195 lineto
-196 195 lineto
-196 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-128 181.5 moveto 60 (../stat/libEF.h) alignedtext
-grestore
-% Node3->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 158 232 moveto
-158 224 158 214 158 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 161.5 205 moveto
-158 195 lineto
-154.5 205 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 161.5 205 moveto
-158 195 lineto
-154.5 205 lineto
-closepath stroke
-grestore
-% Node4->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 277 174 moveto
-287 165 299 152 305 138 curveto
-308 128 307 125 305 116 curveto
-297 87 294 78 274 58 curveto
-259 44 239 33 221 25 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 221.58 21.46 moveto
-211 21 lineto
-218.98 27.96 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 221.58 21.46 moveto
-211 21 lineto
-218.98 27.96 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 246 117 296 137 ]
+newpath 165 232 moveto
+165 253 lineto
+241 253 lineto
+241 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 165 232 moveto
+165 253 lineto
+241 253 lineto
+241 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+173 239.5 moveto 60 (../stat/libEF.h) alignedtext
+grestore
+% Node2->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 148 290 moveto
+158 281 172 269 183 259 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 185.1 261.8 moveto
+191 253 lineto
+180.9 256.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 185.1 261.8 moveto
+191 253 lineto
+180.9 256.2 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 83 175 133 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -489,67 +398,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 246 116 moveto
-246 137 lineto
-297 137 lineto
-297 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 246 116 moveto
-246 137 lineto
-297 137 lineto
-297 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-253.5 123.5 moveto 35 (libBM.h) alignedtext
-grestore
-% Node4->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 265 174 moveto
-266 166 267 156 268 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 271.47 147.49 moveto
-270 137 lineto
-264.61 146.12 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 271.47 147.49 moveto
-270 137 lineto
-264.61 146.12 lineto
-closepath stroke
-grestore
-% Node5->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 271 116 moveto
-271 101 268 75 256 58 curveto
-245 44 230 33 215 25 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 216.56 21.86 moveto
-206 21 lineto
-213.72 28.26 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 216.56 21.86 moveto
-206 21 lineto
-213.72 28.26 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 175 59 247 79 ]
+newpath 83 174 moveto
+83 195 lineto
+134 195 lineto
+134 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 83 174 moveto
+83 195 lineto
+134 195 lineto
+134 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+90.5 181.5 moveto 35 (libBM.h) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 108 232 moveto
+108 224 108 214 108 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 111.5 205 moveto
+108 195 lineto
+104.5 205 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 111.5 205 moveto
+108 195 lineto
+104.5 205 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 121 59 193 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -557,20 +444,61 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 175 58 moveto
-175 79 lineto
-247 79 lineto
-247 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 175 58 moveto
-175 79 lineto
-247 79 lineto
-247 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-183 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 121 58 moveto
+121 79 lineto
+193 79 lineto
+193 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 121 58 moveto
+121 79 lineto
+193 79 lineto
+193 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+129 65.5 moveto 56 (../itpp_ext.h) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 113 174 moveto
+121 155 139 113 149 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 152.14 89.56 moveto
+153 79 lineto
+145.74 86.72 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 152.14 89.56 moveto
+153 79 lineto
+145.74 86.72 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 120 0 moveto
+120 21 lineto
+195 21 lineto
+195 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 120 0 moveto
+120 21 lineto
+195 21 lineto
+195 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+127.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node5->Node6
@@ -579,110 +507,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 259 116 moveto
-250 107 239 96 229 86 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 230.83 82.95 moveto
-221 79 lineto
-226.22 88.22 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 230.83 82.95 moveto
-221 79 lineto
-226.22 88.22 lineto
-closepath stroke
-grestore
-% Node6->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 205 58 moveto
-201 50 195 39 190 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 192.92 28.04 moveto
-185 21 lineto
-186.8 31.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 192.92 28.04 moveto
-185 21 lineto
-186.8 31.44 lineto
-closepath stroke
-grestore
-% Node7->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 134 174 moveto
-120 166 103 154 95 138 curveto
-91 129 92 125 95 116 curveto
-107 80 138 47 159 28 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 161.78 30.22 moveto
-167 21 lineto
-157.17 24.95 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 161.78 30.22 moveto
-167 21 lineto
-157.17 24.95 lineto
-closepath stroke
-grestore
-% Node7->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 180 174 moveto
-197 165 222 151 242 142 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 243.96 144.92 moveto
-251 137 lineto
-240.56 138.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 243.96 144.92 moveto
-251 137 lineto
-240.56 138.8 lineto
-closepath stroke
-grestore
-% Node7->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 171 174 moveto
-180 165 192 152 199 138 curveto
-206 122 209 103 210 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 213.49 89.3 moveto
-211 79 lineto
-206.52 88.6 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 213.49 89.3 moveto
-211 79 lineto
-206.52 88.6 lineto
+newpath 157 58 moveto
+157 50 157 40 157 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 160.5 31 moveto
+157 21 lineto
+153.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 160.5 31 moveto
+157 21 lineto
+153.5 31 lineto
+closepath stroke
+grestore
+% Node7->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 185 232 moveto
+170 223 149 210 133 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 134.44 196.8 moveto
+124 195 lineto
+131.04 202.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134.44 196.8 moveto
+124 195 lineto
+131.04 202.92 lineto
 closepath stroke
 grestore
 % Node8
 gsave
-[ /Rect [ 104 117 190 137 ]
+[ /Rect [ 154 117 240 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -690,20 +552,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 104 116 moveto
-104 137 lineto
-191 137 lineto
-191 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 104 116 moveto
-104 137 lineto
-191 137 lineto
-191 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-111.5 123.5 moveto 71 (../math/libDC.h) alignedtext
+newpath 154 116 moveto
+154 137 lineto
+241 137 lineto
+241 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 154 116 moveto
+154 137 lineto
+241 137 lineto
+241 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+161.5 123.5 moveto 71 (../math/libDC.h) alignedtext
 grestore
 % Node7->Node8
@@ -712,126 +574,129 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 156 174 moveto
-155 166 153 156 151 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 154.39 146.12 moveto
-149 137 lineto
-147.53 147.49 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 154.39 146.12 moveto
-149 137 lineto
-147.53 147.49 lineto
-closepath stroke
-grestore
-% Node8->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 150 116 moveto
-154 102 161 78 166 58 curveto
-168 49 171 39 173 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 176.48 31.58 moveto
-176 21 lineto
-169.77 29.57 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 176.48 31.58 moveto
-176 21 lineto
-169.77 29.57 lineto
-closepath stroke
-grestore
-% Node8->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 159 116 moveto
-169 107 182 95 193 86 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 195.4 88.55 moveto
-200 79 lineto
-190.45 83.6 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 195.4 88.55 moveto
-200 79 lineto
-190.45 83.6 lineto
-closepath stroke
-grestore
-% Node9->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 359 174 moveto
-353 149 334 90 297 58 curveto
-277 41 250 29 227 22 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 227.58 18.52 moveto
-217 19 lineto
-225.57 25.23 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 227.58 18.52 moveto
-217 19 lineto
-225.57 25.23 lineto
-closepath stroke
-grestore
-% Node9->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 344 174 moveto
-331 165 311 152 296 142 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 297.44 138.8 moveto
-287 137 lineto
-294.04 144.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 297.44 138.8 moveto
-287 137 lineto
-294.04 144.92 lineto
-closepath stroke
-grestore
-% Node9->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 355 174 moveto
-345 159 326 133 305 116 curveto
-288 102 267 91 248 83 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 249.56 79.86 moveto
-239 79 lineto
-246.72 86.26 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 249.56 79.86 moveto
-239 79 lineto
-246.72 86.26 lineto
+newpath 220 232 moveto
+238 219 262 196 252 174 curveto
+246 161 235 151 224 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 226.1 140.2 moveto
+216 137 lineto
+221.9 145.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 226.1 140.2 moveto
+216 137 lineto
+221.9 145.8 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 151 175 243 195 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 151 174 moveto
+151 195 lineto
+244 195 lineto
+244 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 151 174 moveto
+151 195 lineto
+244 195 lineto
+244 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+158.5 181.5 moveto 77 (../math/chmat.h) alignedtext
+grestore
+% Node7->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 202 232 moveto
+201 224 200 214 199 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 202.48 204.6 moveto
+198 195 lineto
+195.51 205.3 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 202.48 204.6 moveto
+198 195 lineto
+195.51 205.3 lineto
+closepath stroke
+grestore
+% Node8->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 189 116 moveto
+184 108 176 97 170 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 172.8 84.9 moveto
+164 79 lineto
+167.2 89.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 172.8 84.9 moveto
+164 79 lineto
+167.2 89.1 lineto
+closepath stroke
+grestore
+% Node9->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 197 174 moveto
+197 166 197 156 197 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 200.5 147 moveto
+197 137 lineto
+193.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 200.5 147 moveto
+197 137 lineto
+193.5 147 lineto
+closepath stroke
+grestore
+% Node10->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 42 290 moveto
+44 276 48 250 60 232 curveto
+67 220 77 210 86 202 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 88.78 204.22 moveto
+94 195 lineto
+84.17 198.95 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 88.78 204.22 moveto
+94 195 lineto
+84.17 198.95 lineto
 closepath stroke
 grestore
@@ -843,5 +708,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 447 356
+%%BoundingBox: 36 36 296 414
 end
 restore