Index: doc/latex/libDS__ui_8h__incl.eps
===================================================================
--- doc/latex/libDC_8h__dep__incl.eps (revision 261)
+++ doc/latex/libDS__ui_8h__incl.eps (revision 264)
@@ -180,33 +180,325 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 411 356
+%%PageBoundingBox: 36 36 387 414
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 375 320 boxprim clip newpath
+36 36 351 378 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 82 290 moveto
-82 311 lineto
-132 311 lineto
-132 290 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 82 290 moveto
-82 311 lineto
-132 311 lineto
-132 290 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-90 297.5 moveto 34 (libDC.h) alignedtext
+newpath 93 348 moveto
+93 369 lineto
+156 369 lineto
+156 348 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 93 348 moveto
+93 369 lineto
+156 369 lineto
+156 348 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+100.5 355.5 moveto 47 (libDS_ui.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 79 233 135 253 ]
+[ /Rect [ 54 291 104 311 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 54 290 moveto
+54 311 lineto
+104 311 lineto
+104 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 54 290 moveto
+54 311 lineto
+104 311 lineto
+104 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+62 297.5 moveto 34 (libDS.h) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 115 348 moveto
+109 340 100 328 93 319 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 95.8 316.9 moveto
+87 311 lineto
+90.2 321.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 95.8 316.9 moveto
+87 311 lineto
+90.2 321.1 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 122 291 218 311 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($loggers__ui_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 122 290 moveto
+122 311 lineto
+218 311 lineto
+218 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 122 290 moveto
+122 311 lineto
+218 311 lineto
+218 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+130 297.5 moveto 80 (stat/loggers_ui.h) alignedtext
+grestore
+% Node1->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 133 348 moveto
+139 340 148 328 156 319 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 158.8 321.1 moveto
+162 311 lineto
+153.2 316.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158.8 321.1 moveto
+162 311 lineto
+153.2 316.9 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 110 175 160 195 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libBM_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 110 174 moveto
+110 195 lineto
+161 195 lineto
+161 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 110 174 moveto
+110 195 lineto
+161 195 lineto
+161 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+117.5 181.5 moveto 35 (libBM.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 84 290 moveto
+94 271 113 229 125 204 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 128.2 205.44 moveto
+130 195 lineto
+122.08 202.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 128.2 205.44 moveto
+130 195 lineto
+122.08 202.04 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 24 233 68 253 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 24 232 moveto
+24 253 lineto
+69 253 lineto
+69 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 24 232 moveto
+24 253 lineto
+69 253 lineto
+69 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+31.5 239.5 moveto 29 (libEF.h) alignedtext
+grestore
+% Node2->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 73 290 moveto
+69 282 62 271 57 262 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 59.92 260.04 moveto
+52 253 lineto
+53.8 263.44 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 59.92 260.04 moveto
+52 253 lineto
+53.8 263.44 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 93 59 165 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 93 58 moveto
+93 79 lineto
+165 79 lineto
+165 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 93 58 moveto
+93 79 lineto
+165 79 lineto
+165 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+101 65.5 moveto 56 (../itpp_ext.h) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134 174 moveto
+133 155 132 114 130 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 133.5 89 moveto
+130 79 lineto
+126.5 89 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 133.5 89 moveto
+130 79 lineto
+126.5 89 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 124 0 moveto
+124 21 lineto
+199 21 lineto
+199 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 124 0 moveto
+124 21 lineto
+199 21 lineto
+199 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+131.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 135 58 moveto
+139 50 145 39 150 30 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 153.2 31.44 moveto
+155 21 lineto
+147.08 28.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 153.2 31.44 moveto
+155 21 lineto
+147.08 28.04 lineto
+closepath stroke
+grestore
+% Node6->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 63 232 moveto
+76 223 96 210 111 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 112.96 202.92 moveto
+120 195 lineto
+109.56 196.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 112.96 202.92 moveto
+120 195 lineto
+109.56 196.8 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 0 175 92 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($chmat_8h.html) >>
@@ -214,543 +506,305 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 79 232 moveto
-79 253 lineto
-135 253 lineto
-135 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 79 232 moveto
-79 253 lineto
-135 253 lineto
-135 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-87 239.5 moveto 40 (chmat.h) alignedtext
-grestore
-% Node1->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 107 280 moveto
-107 270 107 260 107 253 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 103.5 280 moveto
-107 290 lineto
-110.5 280 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 103.5 280 moveto
-107 290 lineto
-110.5 280 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 126 175 170 195 ]
+newpath 0 174 moveto
+0 195 lineto
+93 195 lineto
+93 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 174 moveto
+0 195 lineto
+93 195 lineto
+93 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 181.5 moveto 77 (../math/chmat.h) alignedtext
+grestore
+% Node6->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 46 232 moveto
+46 224 46 214 46 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 49.5 205 moveto
+46 195 lineto
+42.5 205 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 49.5 205 moveto
+46 195 lineto
+42.5 205 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 38 117 88 137 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
+  /Action << /Subtype /URI /URI ($libDC_8h.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 126 174 moveto
-126 195 lineto
-171 195 lineto
-171 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 126 174 moveto
-126 195 lineto
-171 195 lineto
-171 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-133.5 181.5 moveto 29 (libEF.h) alignedtext
-grestore
-% Node2->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 121 224 moveto
-128 214 136 203 141 195 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 118.2 221.9 moveto
-115 232 lineto
-123.8 226.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 118.2 221.9 moveto
-115 232 lineto
-123.8 226.1 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 14 117 58 137 ]
+newpath 38 116 moveto
+38 137 lineto
+88 137 lineto
+88 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 38 116 moveto
+38 137 lineto
+88 137 lineto
+88 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+46 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node7->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 49 174 moveto
+51 166 54 156 57 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 60.48 147.58 moveto
+60 137 lineto
+53.77 145.57 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 60.48 147.58 moveto
+60 137 lineto
+53.77 145.57 lineto
+closepath stroke
+grestore
+% Node8->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 76 116 moveto
+86 107 99 95 110 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 112.78 88.22 moveto
+118 79 lineto
+108.17 82.95 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 112.78 88.22 moveto
+118 79 lineto
+108.17 82.95 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 124 233 184 253 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
+  /Action << /Subtype /URI /URI ($loggers_8h.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 14 116 moveto
-14 137 lineto
-59 137 lineto
-59 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 14 116 moveto
-14 137 lineto
-59 137 lineto
-59 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-21.5 123.5 moveto 29 (libKF.h) alignedtext
-grestore
-% Node2->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 95 223 moveto
-79 199 54 157 42 137 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 92.08 224.96 moveto
-100 232 lineto
-98.2 221.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 92.08 224.96 moveto
-100 232 lineto
-98.2 221.56 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 310 117 350 137 ]
+newpath 124 232 moveto
+124 253 lineto
+184 253 lineto
+184 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 124 232 moveto
+124 253 lineto
+184 253 lineto
+184 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+132 239.5 moveto 44 (loggers.h) alignedtext
+grestore
+% Node9->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 167 290 moveto
+165 282 162 272 159 263 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 162.39 262.12 moveto
+157 253 lineto
+155.53 263.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 162.39 262.12 moveto
+157 253 lineto
+155.53 263.49 lineto
+closepath stroke
+grestore
+% Node11
+gsave
+[ /Rect [ 202 233 266 253 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($arx_8h.html) >>
+  /Action << /Subtype /URI /URI ($uibuilder_8h-source.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 310 116 moveto
-310 137 lineto
-350 137 lineto
-350 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 310 116 moveto
-310 137 lineto
-350 137 lineto
-350 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-318 123.5 moveto 24 (arx.h) alignedtext
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 181 175 moveto
-212 167 260 152 301 138 curveto
-304 137 307 136 310 135 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 179.57 171.77 moveto
-171 178 lineto
-181.58 178.48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 179.57 171.77 moveto
-171 178 lineto
-181.58 178.48 lineto
-closepath stroke
-grestore
-% Node3->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 118 169 moveto
-98 159 72 146 55 137 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 116.56 172.2 moveto
-127 174 lineto
-119.96 166.08 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 116.56 172.2 moveto
-127 174 lineto
-119.96 166.08 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 76 117 120 137 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libPF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 76 116 moveto
-76 137 lineto
-121 137 lineto
-121 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 76 116 moveto
-76 137 lineto
-121 137 lineto
-121 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-83.5 123.5 moveto 29 (libPF.h) alignedtext
-grestore
-% Node3->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 131 166 moveto
-123 156 113 145 107 137 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 128.78 168.78 moveto
-138 174 lineto
-134.05 164.17 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 128.78 168.78 moveto
-138 174 lineto
-134.05 164.17 lineto
-closepath stroke
-grestore
-% Node9
-gsave
-[ /Rect [ 149 59 199 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($mixef_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 149 58 moveto
-149 79 lineto
-200 79 lineto
-200 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 149 58 moveto
-149 79 lineto
-200 79 lineto
-200 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-156.5 65.5 moveto 35 (mixef.h) alignedtext
-grestore
-% Node3->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 152 164 moveto
-158 139 168 98 172 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 148.53 163.51 moveto
-150 174 lineto
-155.39 164.88 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 148.53 163.51 moveto
-150 174 lineto
-155.39 164.88 lineto
-closepath stroke
-grestore
-% Node11
-gsave
-[ /Rect [ 176 117 224 137 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($emix_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 176 116 moveto
-176 137 lineto
-224 137 lineto
-224 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 176 116 moveto
-176 137 lineto
-224 137 lineto
-224 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-184 123.5 moveto 32 (emix.h) alignedtext
-grestore
-% Node3->Node11
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 165 166 moveto
-173 156 184 145 191 137 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 161.95 164.17 moveto
-158 174 lineto
-167.22 168.78 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 161.95 164.17 moveto
-158 174 lineto
-167.22 168.78 lineto
+newpath 202 232 moveto
+202 253 lineto
+267 253 lineto
+267 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 202 232 moveto
+202 253 lineto
+267 253 lineto
+267 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+209.5 239.5 moveto 49 (uibuilder.h) alignedtext
+grestore
+% Node9->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 182 290 moveto
+192 281 205 269 216 260 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 218.4 262.55 moveto
+223 253 lineto
+213.45 257.6 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 218.4 262.55 moveto
+223 253 lineto
+213.45 257.6 lineto
+closepath stroke
+grestore
+% Node10->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 150 232 moveto
+148 224 145 214 142 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 144.96 202.98 moveto
+138 195 lineto
+138.46 205.58 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 144.96 202.98 moveto
+138 195 lineto
+138.46 205.58 lineto
+closepath stroke
+grestore
+% Node11->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 215 232 moveto
+200 223 178 210 161 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 162.44 196.8 moveto
+152 195 lineto
+159.04 202.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 162.44 196.8 moveto
+152 195 lineto
+159.04 202.92 lineto
+closepath stroke
+grestore
+% Node11->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 228 232 moveto
+223 222 216 208 212 196 curveto
+189 136 190 119 174 58 curveto
+171 49 168 39 166 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 169.39 30.12 moveto
+164 21 lineto
+162.53 31.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 169.39 30.12 moveto
+164 21 lineto
+162.53 31.49 lineto
 closepath stroke
 grestore
 % Node12
 gsave
-[ /Rect [ 242 117 292 137 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 242 116 moveto
-242 137 lineto
-292 137 lineto
-292 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 242 116 moveto
-242 137 lineto
-292 137 lineto
-292 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-250 123.5 moveto 34 (libDS.h) alignedtext
-grestore
-% Node3->Node12
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 180 170 moveto
-201 159 228 146 246 137 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 178.72 166.74 moveto
-171 174 lineto
-181.56 173.14 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 178.72 166.74 moveto
-171 174 lineto
-181.56 173.14 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 293 59 367 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($arx__test_8cpp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 293 58 moveto
-293 79 lineto
-368 79 lineto
-368 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 293 58 moveto
-293 79 lineto
-368 79 lineto
-368 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-300.5 65.5 moveto 59 (arx_test.cpp) alignedtext
-grestore
-% Node4->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 330 106 moveto
-330 96 330 86 330 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 326.5 106 moveto
-330 116 lineto
-333.5 106 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 326.5 106 moveto
-330 116 lineto
-333.5 106 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 0 59 72 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($ekf__templ_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 0 58 moveto
-0 79 lineto
-72 79 lineto
-72 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 58 moveto
-0 79 lineto
-72 79 lineto
-72 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-8 65.5 moveto 56 (ekf_templ.h) alignedtext
-grestore
-% Node6->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 36 106 moveto
-36 96 36 86 36 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 32.5 106 moveto
-36 116 lineto
-39.5 106 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 32.5 106 moveto
-36 116 lineto
-39.5 106 lineto
-closepath stroke
-grestore
-% Node10
-gsave
-[ /Rect [ 144 1 204 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($merger_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 144 0 moveto
-144 21 lineto
-204 21 lineto
-204 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 144 0 moveto
-144 21 lineto
-204 21 lineto
-204 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-152 7.5 moveto 44 (merger.h) alignedtext
-grestore
-% Node9->Node10
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 174 48 moveto
-174 38 174 28 174 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 170.5 48 moveto
-174 58 lineto
-177.5 48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 170.5 48 moveto
-174 58 lineto
-177.5 48 lineto
-closepath stroke
-grestore
-% Node11->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 191 107 moveto
-187 97 182 86 178 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 187.74 108.28 moveto
-195 116 lineto
-194.14 105.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 187.74 108.28 moveto
-195 116 lineto
-194.14 105.44 lineto
+0.000 0.000 1.000 nodecolor
+newpath 221 174 moveto
+221 195 lineto
+344 195 lineto
+344 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 221 174 moveto
+221 195 lineto
+344 195 lineto
+344 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+228.5 181.5 moveto 107 (libconfig/libconfig.h++) alignedtext
+grestore
+% Node11->Node12
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 243 232 moveto
+250 223 259 212 267 203 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 270.05 204.83 moveto
+274 195 lineto
+264.78 200.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 270.05 204.83 moveto
+274 195 lineto
+264.78 200.22 lineto
 closepath stroke
 grestore
@@ -762,5 +816,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 411 356
+%%BoundingBox: 36 36 387 414
 end
 restore