Index: doc/latex/chmat_8h__dep__incl.eps
===================================================================
--- doc/latex/chmat_8h__dep__incl.eps (revision 264)
+++ doc/latex/chmat_8h__dep__incl.eps (revision 269)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 428 298
+%%PageBoundingBox: 36 36 494 298
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 392 262 boxprim clip newpath
+36 36 458 262 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -252,5 +252,5 @@
 closepath stroke
 grestore
-% Node5
+% Node7
 gsave
 [ /Rect [ 14 117 58 137 ]
@@ -277,5 +277,5 @@
 21.5 123.5 moveto 29 (libKF.h) alignedtext
 grestore
-% Node1->Node5
+% Node1->Node7
 gsave
 1 setlinewidth
@@ -300,5 +300,5 @@
 % Node3
 gsave
-[ /Rect [ 311 117 351 137 ]
+[ /Rect [ 321 117 361 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($arx_8h.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 311 116 moveto
-311 137 lineto
-351 137 lineto
-351 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 311 116 moveto
-311 137 lineto
-351 137 lineto
-351 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-319 123.5 moveto 24 (arx.h) alignedtext
+newpath 321 116 moveto
+321 137 lineto
+361 137 lineto
+361 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 321 116 moveto
+321 137 lineto
+361 137 lineto
+361 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+329 123.5 moveto 24 (arx.h) alignedtext
 grestore
 % Node2->Node3
@@ -329,6 +329,5 @@
 0.667 0.776 0.439 edgecolor
 newpath 181 175 moveto
-212 166 260 151 301 138 curveto
-304 137 308 136 311 134 curveto
+221 163 288 143 321 133 curveto
 stroke
 0.667 0.776 0.439 edgecolor
@@ -345,5 +344,5 @@
 closepath stroke
 grestore
-% Node2->Node5
+% Node2->Node7
 gsave
 1 setlinewidth
@@ -366,5 +365,5 @@
 closepath stroke
 grestore
-% Node7
+% Node9
 gsave
 [ /Rect [ 76 117 120 137 ]
@@ -391,5 +390,5 @@
 83.5 123.5 moveto 29 (libPF.h) alignedtext
 grestore
-% Node2->Node7
+% Node2->Node9
 gsave
 1 setlinewidth
@@ -412,7 +411,7 @@
 closepath stroke
 grestore
-% Node8
-gsave
-[ /Rect [ 133 59 183 79 ]
+% Node10
+gsave
+[ /Rect [ 139 59 189 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($mixef_8h.html) >>
@@ -420,43 +419,43 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 133 58 moveto
-133 79 lineto
-184 79 lineto
-184 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 133 58 moveto
-133 79 lineto
-184 79 lineto
-184 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-140.5 65.5 moveto 35 (mixef.h) alignedtext
-grestore
-% Node2->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 150 164 moveto
-152 139 155 98 157 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 146.51 163.7 moveto
-149 174 lineto
-153.48 164.4 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 146.51 163.7 moveto
-149 174 lineto
-153.48 164.4 lineto
-closepath stroke
-grestore
-% Node10
+newpath 139 58 moveto
+139 79 lineto
+190 79 lineto
+190 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 139 58 moveto
+139 79 lineto
+190 79 lineto
+190 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+146.5 65.5 moveto 35 (mixef.h) alignedtext
+grestore
+% Node2->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 151 164 moveto
+155 139 160 98 163 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 147.51 163.7 moveto
+150 174 lineto
+154.48 164.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 147.51 163.7 moveto
+150 174 lineto
+154.48 164.4 lineto
+closepath stroke
+grestore
+% Node12
 gsave
 [ /Rect [ 176 117 224 137 ]
@@ -483,5 +482,5 @@
 184 123.5 moveto 32 (emix.h) alignedtext
 grestore
-% Node2->Node10
+% Node2->Node12
 gsave
 1 setlinewidth
@@ -504,5 +503,5 @@
 closepath stroke
 grestore
-% Node11
+% Node13
 gsave
 [ /Rect [ 242 117 292 137 ]
@@ -529,5 +528,5 @@
 250 123.5 moveto 34 (libDS.h) alignedtext
 grestore
-% Node2->Node11
+% Node2->Node13
 gsave
 1 setlinewidth
@@ -552,5 +551,51 @@
 % Node4
 gsave
-[ /Rect [ 310 59 384 79 ]
+[ /Rect [ 396 59 450 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($arx__ui_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 396 58 moveto
+396 79 lineto
+450 79 lineto
+450 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 396 58 moveto
+396 79 lineto
+450 79 lineto
+450 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+404 65.5 moveto 38 (arx_ui.h) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 365 110 moveto
+380 100 397 87 409 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 362.9 107.2 moveto
+357 116 lineto
+367.1 112.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 362.9 107.2 moveto
+357 116 lineto
+367.1 112.8 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 304 59 378 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($arx__test_8cpp.html) >>
@@ -558,43 +603,89 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 310 58 moveto
-310 79 lineto
-385 79 lineto
-385 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 310 58 moveto
-310 79 lineto
-385 79 lineto
-385 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-317.5 65.5 moveto 59 (arx_test.cpp) alignedtext
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 337 106 moveto
-340 97 343 86 344 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 333.52 105.42 moveto
-334 116 lineto
-340.23 107.43 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 333.52 105.42 moveto
-334 116 lineto
-340.23 107.43 lineto
-closepath stroke
-grestore
-% Node6
+newpath 304 58 moveto
+304 79 lineto
+379 79 lineto
+379 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 304 58 moveto
+304 79 lineto
+379 79 lineto
+379 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+311.5 65.5 moveto 59 (arx_test.cpp) alignedtext
+grestore
+% Node3->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 341 106 moveto
+341 96 341 86 341 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 337.5 106 moveto
+341 116 lineto
+344.5 106 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 337.5 106 moveto
+341 116 lineto
+344.5 106 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 295 1 395 21 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($UIArxDS__test_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 295 0 moveto
+295 21 lineto
+395 21 lineto
+395 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 295 0 moveto
+295 21 lineto
+395 21 lineto
+395 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+303 7.5 moveto 84 (UIArxDS_test.cpp) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 400 52 moveto
+386 42 370 29 358 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 397.9 54.8 moveto
+408 58 lineto
+402.1 49.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 397.9 54.8 moveto
+408 58 lineto
+402.1 49.2 lineto
+closepath stroke
+grestore
+% Node8
 gsave
 [ /Rect [ 0 59 72 79 ]
@@ -621,5 +712,5 @@
 8 65.5 moveto 56 (ekf_templ.h) alignedtext
 grestore
-% Node5->Node6
+% Node7->Node8
 gsave
 1 setlinewidth
@@ -642,7 +733,7 @@
 closepath stroke
 grestore
-% Node9
-gsave
-[ /Rect [ 128 1 188 21 ]
+% Node11
+gsave
+[ /Rect [ 134 1 194 21 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($merger_8h.html) >>
@@ -650,66 +741,66 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 128 0 moveto
-128 21 lineto
-188 21 lineto
-188 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 128 0 moveto
-128 21 lineto
-188 21 lineto
-188 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-136 7.5 moveto 44 (merger.h) alignedtext
-grestore
-% Node8->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 158 48 moveto
-158 38 158 28 158 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 154.5 48 moveto
-158 58 lineto
-161.5 48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 154.5 48 moveto
-158 58 lineto
-161.5 48 lineto
-closepath stroke
-grestore
-% Node10->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 186 108 moveto
-179 98 171 87 165 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 183.2 110.1 moveto
-192 116 lineto
-188.8 105.9 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 183.2 110.1 moveto
-192 116 lineto
-188.8 105.9 lineto
-closepath stroke
-grestore
-% Node12
-gsave
-[ /Rect [ 230 59 292 79 ]
+newpath 134 0 moveto
+134 21 lineto
+194 21 lineto
+194 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 134 0 moveto
+134 21 lineto
+194 21 lineto
+194 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+142 7.5 moveto 44 (merger.h) alignedtext
+grestore
+% Node10->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 164 48 moveto
+164 38 164 28 164 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 160.5 48 moveto
+164 58 lineto
+167.5 48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 160.5 48 moveto
+164 58 lineto
+167.5 48 lineto
+closepath stroke
+grestore
+% Node12->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 188 107 moveto
+182 98 175 87 170 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 185.08 108.96 moveto
+193 116 lineto
+191.2 105.56 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 185.08 108.96 moveto
+193 116 lineto
+191.2 105.56 lineto
+closepath stroke
+grestore
+% Node14
+gsave
+[ /Rect [ 224 59 286 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDS__ui_8h.html) >>
@@ -717,86 +808,61 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 230 58 moveto
-230 79 lineto
-293 79 lineto
-293 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 230 58 moveto
-230 79 lineto
-293 79 lineto
-293 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-237.5 65.5 moveto 47 (libDS_ui.h) alignedtext
-grestore
-% Node11->Node12
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 265 106 moveto
-264 96 263 86 262 79 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 261.52 106.4 moveto
-266 116 lineto
-268.49 105.7 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 261.52 106.4 moveto
-266 116 lineto
-268.49 105.7 lineto
-closepath stroke
-grestore
-% Node13
-gsave
-[ /Rect [ 211 1 311 21 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($UIArxDS__test_8cpp.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 211 0 moveto
-211 21 lineto
-311 21 lineto
-311 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 211 0 moveto
-211 21 lineto
-311 21 lineto
-311 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-219 7.5 moveto 84 (UIArxDS_test.cpp) alignedtext
-grestore
-% Node12->Node13
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 261 48 moveto
-261 38 261 28 261 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 257.5 48 moveto
-261 58 lineto
-264.5 48 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 257.5 48 moveto
-261 58 lineto
-264.5 48 lineto
+newpath 224 58 moveto
+224 79 lineto
+287 79 lineto
+287 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 224 58 moveto
+224 79 lineto
+287 79 lineto
+287 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+231.5 65.5 moveto 47 (libDS_ui.h) alignedtext
+grestore
+% Node13->Node14
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 263 106 moveto
+260 97 258 86 257 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 259.61 106.88 moveto
+265 116 lineto
+266.47 105.51 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 259.61 106.88 moveto
+265 116 lineto
+266.47 105.51 lineto
+closepath stroke
+grestore
+% Node14->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 280 53 moveto
+297 42 317 29 330 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 278.62 49.73 moveto
+272 58 lineto
+282.34 55.67 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 278.62 49.73 moveto
+272 58 lineto
+282.34 55.67 lineto
 closepath stroke
 grestore
@@ -808,5 +874,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 428 298
+%%BoundingBox: 36 36 494 298
 end
 restore