Index: doc/html/classbdm_1_1mprod.html
===================================================================
--- doc/html/classbdm_1_1mprod.html (revision 269)
+++ doc/html/classbdm_1_1mprod.html (revision 270)
@@ -29,8 +29,5 @@
 </div>
 <div class="contents">
-<h1>bdm::mprod Class Reference</h1><!-- doxytag: class="bdm::mprod" --><!-- doxytag: inherits="bdm::compositepdf,bdm::mpdf" -->Chain rule decomposition of <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a>.  
-<a href="#_details">More...</a>
-<p>
-<code>#include &lt;<a class="el" href="emix_8h-source.html">emix.h</a>&gt;</code>
+<h1>bdm::mprod Class Reference</h1><!-- doxytag: class="bdm::mprod" --><!-- doxytag: inherits="bdm::compositepdf,bdm::mpdf" --><code>#include &lt;<a class="el" href="emix_8h-source.html">emix.h</a>&gt;</code>
 <p>
 <div class="dynheader">
@@ -41,14 +38,10 @@
 <area shape="rect" href="classbdm_1_1compositepdf.html" title="Abstract composition of pdfs, will be used for specific classes this abstract class..." alt="" coords="5,84,149,111"><area shape="rect" href="classbdm_1_1mpdf.html" title="Conditional probability density, e.g. modeling some dependencies." alt="" coords="173,84,264,111"><area shape="rect" href="classbdm_1_1bdmroot.html" title="Root class of BDM objects." alt="" coords="163,7,275,33"></map>
 <center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
-<div class="dynheader">
-Collaboration diagram for bdm::mprod:</div>
-<div class="dynsection">
-<p><center><img src="classbdm_1_1mprod__coll__graph.png" border="0" usemap="#bdm_1_1mprod__coll__map" alt="Collaboration graph"></center>
-<map name="bdm_1_1mprod__coll__map">
-<area shape="rect" href="classbdm_1_1compositepdf.html" title="Abstract composition of pdfs, will be used for specific classes this abstract class..." alt="" coords="5,284,149,311"><area shape="rect" href="classbdm_1_1mpdf.html" title="Conditional probability density, e.g. modeling some dependencies." alt="" coords="173,284,264,311"><area shape="rect" href="classbdm_1_1bdmroot.html" title="Root class of BDM objects." alt="" coords="175,7,287,33"><area shape="rect" href="classbdm_1_1RV.html" title="Class representing variables, most often random variables." alt="" coords="193,87,268,113"><area shape="rect" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density." alt="" coords="261,185,347,212"></map>
-<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
-
-<p>
-<a href="classbdm_1_1mprod-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
+
+<p>
+<a href="classbdm_1_1mprod-members.html">List of all members.</a><hr><a name="_details"></a><h2>Detailed Description</h2>
+Chain rule decomposition of <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a>. 
+<p>
+Probability density in the form of Chain-rule decomposition: \[ f(x_1,x_2,x_3) = f(x_1|x_2,x_3)f(x_2,x_3)f(x_3) \] Note that <table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
@@ -70,13 +63,14 @@
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">find common rv, flag  <a href="#c73d39acc4378eee6a63155c3517d3c9"></a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c71fc2c51f49d797e61f479f543c75ce"></a><!-- doxytag: member="bdm::mprod::setrvc" ref="c71fc2c51f49d797e61f479f543c75ce" args="(const RV &amp;rv, RV &amp;rvc)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1compositepdf.html#c71fc2c51f49d797e61f479f543c75ce">setrvc</a> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;<a class="el" href="classbdm_1_1mpdf.html#9bcfb45435d30983f436d41c298cbb51">rv</a>, <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;<a class="el" href="classbdm_1_1mpdf.html#5a5f08950daa08b85b01ddf4e1c36288">rvc</a>)</td></tr>
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1compositepdf.html#c71fc2c51f49d797e61f479f543c75ce">setrvc</a> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;rv, <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;<a class="el" href="classbdm_1_1mpdf.html#5a5f08950daa08b85b01ddf4e1c36288">rvc</a>)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">common rvc of all mpdfs is written to rvc <br></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Matematical operations</div></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">virtual vec&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#f0c1db6fcbb3aae2dd6123884457a367">samplecond</a> (const vec &amp;cond)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a sample from the density conditioned on <code>cond</code>, <img class="formulaInl" alt="$x \sim epdf(rv|cond)$" src="form_10.png">.  <a href="#f0c1db6fcbb3aae2dd6123884457a367"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual mat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#ee26963a637b2ea1fb1933652981e652">samplecond_m</a> (const vec &amp;cond, vec &amp;ll, int N)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns.  <a href="#ee26963a637b2ea1fb1933652981e652"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual mat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#afe4185b26baeb03688202e254d3b005">samplecond_m</a> (const vec &amp;cond, int N)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns.  <a href="#afe4185b26baeb03688202e254d3b005"></a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db94784a9aacf74c65c5a014f6743530"></a><!-- doxytag: member="bdm::mprod::condition" ref="db94784a9aacf74c65c5a014f6743530" args="(const vec &amp;cond)" -->
 virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#db94784a9aacf74c65c5a014f6743530">condition</a> (const vec &amp;cond)</td></tr>
@@ -87,25 +81,38 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Matrix version of evallogcond. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b3aba7311038bf990d706a64cab60cf8"></a><!-- doxytag: member="bdm::mprod::_rvc" ref="b3aba7311038bf990d706a64cab60cf8" args="() const " -->
-<a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#b3aba7311038bf990d706a64cab60cf8">_rvc</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="222d5280e309c5a053ba73841e98c151"></a><!-- doxytag: member="bdm::mprod::_rv" ref="222d5280e309c5a053ba73841e98c151" args="() const " -->
-<a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#222d5280e309c5a053ba73841e98c151">_rv</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Access to attributes</div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5571482d150fbcb72cc36f6694ce1a10"></a><!-- doxytag: member="bdm::mprod::_rv" ref="5571482d150fbcb72cc36f6694ce1a10" args="()" -->
+<a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>_rv</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="26001264236846897bd11e4baad47245"></a><!-- doxytag: member="bdm::mprod::_rvc" ref="26001264236846897bd11e4baad47245" args="()" -->
+<a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>_rvc</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1c2bae3e1e90874e72941863974ec0ed"></a><!-- doxytag: member="bdm::mprod::dimension" ref="1c2bae3e1e90874e72941863974ec0ed" args="()" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>dimension</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="35e135910aed187b7290742f50e61bc8"></a><!-- doxytag: member="bdm::mprod::dimensionc" ref="35e135910aed187b7290742f50e61bc8" args="()" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>dimensionc</b> ()</td></tr>
+
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1892fe3933488942253679f068e9e7f6"></a><!-- doxytag: member="bdm::mprod::_epdf" ref="1892fe3933488942253679f068e9e7f6" args="()" -->
-<a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#1892fe3933488942253679f068e9e7f6">_epdf</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
+<a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>_epdf</b> ()</td></tr>
+
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="05e843fd11c410a99dad2b88c55aca80"></a><!-- doxytag: member="bdm::mprod::_e" ref="05e843fd11c410a99dad2b88c55aca80" args="()" -->
-<a class="el" href="classbdm_1_1epdf.html">epdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#05e843fd11c410a99dad2b88c55aca80">_e</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
+<a class="el" href="classbdm_1_1epdf.html">epdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><b>_e</b> ()</td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">Connection to other objects</div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7631a5570e4ade1420065e8df78f4401"></a><!-- doxytag: member="bdm::mprod::set_rvc" ref="7631a5570e4ade1420065e8df78f4401" args="(const RV &amp;rvc0)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_rvc</b> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;rvc0)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="18ac26bc2f96ae01ef4eb06178abbd75"></a><!-- doxytag: member="bdm::mprod::set_rv" ref="18ac26bc2f96ae01ef4eb06178abbd75" args="(const RV &amp;rv0)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_rv</b> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;rv0)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f8e3798150b42fd1f3e16ddbbe0e7045"></a><!-- doxytag: member="bdm::mprod::isnamed" ref="f8e3798150b42fd1f3e16ddbbe0e7045" args="()" -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>isnamed</b> ()</td></tr>
+
 <tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eca722ed1b219727c6c0f8cbc6bf1e51"></a><!-- doxytag: member="bdm::mprod::epdfs" ref="eca722ed1b219727c6c0f8cbc6bf1e51" args="" -->
 Array&lt; <a class="el" href="classbdm_1_1epdf.html">epdf</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mprod.html#eca722ed1b219727c6c0f8cbc6bf1e51">epdfs</a></td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">pointers to epdfs - shortcut to <a class="el" href="classbdm_1_1compositepdf.html#23faf2debc4dde10836393b8c665914a" title="Elements of composition.">mpdfs()</a>.<a class="el" href="classbdm_1_1mpdf.html#1892fe3933488942253679f068e9e7f6" title="access function">_epdf()</a> <br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">pointers to epdfs - shortcut to <a class="el" href="classbdm_1_1compositepdf.html#23faf2debc4dde10836393b8c665914a" title="Elements of composition.">mpdfs()</a>._epdf() <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="acf679b3b1d48629c5a042d9ac0d973f"></a><!-- doxytag: member="bdm::mprod::dls" ref="acf679b3b1d48629c5a042d9ac0d973f" args="" -->
 Array&lt; <a class="el" href="classbdm_1_1datalink__m2m.html">datalink_m2m</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mprod.html#acf679b3b1d48629c5a042d9ac0d973f">dls</a></td></tr>
@@ -120,8 +127,8 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Elements of composition. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9bcfb45435d30983f436d41c298cbb51"></a><!-- doxytag: member="bdm::mprod::rv" ref="9bcfb45435d30983f436d41c298cbb51" args="" -->
-<a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#9bcfb45435d30983f436d41c298cbb51">rv</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">modeled random variable <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7c1900976ff13dbc09c9729b3bbff9e6"></a><!-- doxytag: member="bdm::mprod::dimc" ref="7c1900976ff13dbc09c9729b3bbff9e6" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#7c1900976ff13dbc09c9729b3bbff9e6">dimc</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">dimension of the condition <br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5a5f08950daa08b85b01ddf4e1c36288"></a><!-- doxytag: member="bdm::mprod::rvc" ref="5a5f08950daa08b85b01ddf4e1c36288" args="" -->
 <a class="el" href="classbdm_1_1RV.html">RV</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1mpdf.html#5a5f08950daa08b85b01ddf4e1c36288">rvc</a></td></tr>
@@ -133,8 +140,5 @@
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">pointer to internal <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a> <br></td></tr>
 </table>
-<hr><a name="_details"></a><h2>Detailed Description</h2>
-Chain rule decomposition of <a class="el" href="classbdm_1_1epdf.html" title="Probability density function with numerical statistics, e.g. posterior density.">epdf</a>. 
-<p>
-Probability density in the form of Chain-rule decomposition: \[ f(x_1,x_2,x_3) = f(x_1|x_2,x_3)f(x_2,x_3)f(x_3) \] Note that <hr><h2>Member Function Documentation</h2>
+<hr><h2>Member Function Documentation</h2>
 <a class="anchor" name="1a37c2aaba8bde7fce5351c39b6e1168"></a><!-- doxytag: member="bdm::mprod::samplecond" ref="1a37c2aaba8bde7fce5351c39b6e1168" args="(const vec &amp;cond, double &amp;ll)" -->
 <div class="memitem">
@@ -166,5 +170,5 @@
 <p>
 Ugly hack to help to discover if mpfs are not in proper order. Correct solution = check that explicitely. 
-<p>References <a class="el" href="libBM_8h-source.html#l00086">bdm::RV::count()</a>, <a class="el" href="emix_8h-source.html#l00166">dls</a>, <a class="el" href="emix_8h-source.html#l00164">epdfs</a>, <a class="el" href="libBM_8h-source.html#l00438">bdm::compositepdf::mpdfs</a>, <a class="el" href="libBM_8h-source.html#l00436">bdm::compositepdf::n</a>, and <a class="el" href="libBM_8h-source.html#l00229">bdm::mpdf::rv</a>.</p>
+<p>References <a class="el" href="libBM_8h-source.html#l00272">bdm::epdf::dimension()</a>, <a class="el" href="emix_8h-source.html#l00168">dls</a>, <a class="el" href="libBM_8h-source.html#l00288">bdm::mpdf::ep</a>, <a class="el" href="emix_8h-source.html#l00166">epdfs</a>, <a class="el" href="libBM_8h-source.html#l00508">bdm::compositepdf::mpdfs</a>, and <a class="el" href="libBM_8h-source.html#l00506">bdm::compositepdf::n</a>.</p>
 
 </div>
@@ -195,5 +199,5 @@
 </dl>
 
-<p>References <a class="el" href="libBM_8cpp-source.html#l00060">bdm::RV::add()</a>, <a class="el" href="libBM_8h-source.html#l00438">bdm::compositepdf::mpdfs</a>, and <a class="el" href="libBM_8h-source.html#l00436">bdm::compositepdf::n</a>.</p>
+<p>References <a class="el" href="libBM_8cpp-source.html#l00059">bdm::RV::add()</a>, <a class="el" href="libBM_8h-source.html#l00508">bdm::compositepdf::mpdfs</a>, and <a class="el" href="libBM_8h-source.html#l00506">bdm::compositepdf::n</a>.</p>
 
 </div>
@@ -224,5 +228,5 @@
 </dl>
 
-<p>References <a class="el" href="libBM_8h-source.html#l00250">bdm::mpdf::condition()</a>, <a class="el" href="libBM_8h-source.html#l00233">bdm::mpdf::ep</a>, and <a class="el" href="classbdm_1_1epdf.html#09721eb148bc49d6ec2f1956039f3a10">bdm::epdf::sample()</a>.</p>
+<p>References <a class="el" href="libBM_8h-source.html#l00315">bdm::mpdf::condition()</a>, <a class="el" href="libBM_8h-source.html#l00288">bdm::mpdf::ep</a>, and <a class="el" href="classbdm_1_1epdf.html#09721eb148bc49d6ec2f1956039f3a10">bdm::epdf::sample()</a>.</p>
 
 <p>Referenced by <a class="el" href="libPF_8h-source.html#l00143">bdm::MPF&lt; BM_T &gt;::bayes()</a>, <a class="el" href="libPF_8cpp-source.html#l00007">bdm::PF::bayes()</a>, and <a class="el" href="libDS_8cpp-source.html#l00044">bdm::ArxDS::step()</a>.</p>
@@ -230,5 +234,5 @@
 </div>
 </div><p>
-<a class="anchor" name="ee26963a637b2ea1fb1933652981e652"></a><!-- doxytag: member="bdm::mprod::samplecond_m" ref="ee26963a637b2ea1fb1933652981e652" args="(const vec &amp;cond, vec &amp;ll, int N)" -->
+<a class="anchor" name="afe4185b26baeb03688202e254d3b005"></a><!-- doxytag: member="bdm::mprod::samplecond_m" ref="afe4185b26baeb03688202e254d3b005" args="(const vec &amp;cond, int N)" -->
 <div class="memitem">
 <div class="memproto">
@@ -239,10 +243,4 @@
           <td class="paramtype">const vec &amp;&nbsp;</td>
           <td class="paramname"> <em>cond</em>, </td>
-        </tr>
-        <tr>
-          <td class="paramkey"></td>
-          <td></td>
-          <td class="paramtype">vec &amp;&nbsp;</td>
-          <td class="paramname"> <em>ll</em>, </td>
         </tr>
         <tr>
@@ -272,5 +270,5 @@
 </dl>
 
-<p>References <a class="el" href="libBM_8h-source.html#l00250">bdm::mpdf::condition()</a>, <a class="el" href="libBM_8h-source.html#l00086">bdm::RV::count()</a>, <a class="el" href="libBM_8h-source.html#l00233">bdm::mpdf::ep</a>, <a class="el" href="classbdm_1_1epdf.html#a8e39e2ff5e5cf5471bc159530d3b2d3">bdm::epdf::evallog()</a>, <a class="el" href="libBM_8h-source.html#l00229">bdm::mpdf::rv</a>, and <a class="el" href="classbdm_1_1epdf.html#09721eb148bc49d6ec2f1956039f3a10">bdm::epdf::sample()</a>.</p>
+<p>References <a class="el" href="libBM_8h-source.html#l00315">bdm::mpdf::condition()</a>, <a class="el" href="libBM_8h-source.html#l00272">bdm::epdf::dimension()</a>, <a class="el" href="libBM_8h-source.html#l00288">bdm::mpdf::ep</a>, and <a class="el" href="classbdm_1_1epdf.html#09721eb148bc49d6ec2f1956039f3a10">bdm::epdf::sample()</a>.</p>
 
 </div>
@@ -279,5 +277,5 @@
 <li><a class="el" href="emix_8h-source.html">emix.h</a></ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Wed Feb 11 10:20:52 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Wed Feb 11 23:34:03 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>