Index: doc/html/classbdm_1_1PF.html
===================================================================
--- doc/html/classbdm_1_1PF.html (revision 270)
+++ doc/html/classbdm_1_1PF.html (revision 271)
@@ -6,11 +6,51 @@
 </head><body>
 <!-- Generated by Doxygen 1.5.6 -->
+<script type="text/javascript">
+<!--
+function changeDisplayState (e){
+  var num=this.id.replace(/[^[0-9]/g,'');
+  var button=this.firstChild;
+  var sectionDiv=document.getElementById('dynsection'+num);
+  if (sectionDiv.style.display=='none'||sectionDiv.style.display==''){
+    sectionDiv.style.display='block';
+    button.src='open.gif';
+  }else{
+    sectionDiv.style.display='none';
+    button.src='closed.gif';
+  }
+}
+function initDynSections(){
+  var divs=document.getElementsByTagName('div');
+  var sectionCounter=1;
+  for(var i=0;i<divs.length-1;i++){
+    if(divs[i].className=='dynheader'&&divs[i+1].className=='dynsection'){
+      var header=divs[i];
+      var section=divs[i+1];
+      var button=header.firstChild;
+      if (button!='IMG'){
+        divs[i].insertBefore(document.createTextNode(' '),divs[i].firstChild);
+        button=document.createElement('img');
+        divs[i].insertBefore(button,divs[i].firstChild);
+      }
+      header.style.cursor='pointer';
+      header.onclick=changeDisplayState;
+      header.id='dynheader'+sectionCounter;
+      button.src='closed.gif';
+      section.id='dynsection'+sectionCounter;
+      section.style.display='none';
+      section.style.marginLeft='14px';
+      sectionCounter++;
+    }
+  }
+}
+window.onload = initDynSections;
+-->
+</script>
 <div class="navigation" id="top">
   <div class="tabs">
     <ul>
-      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
+      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
       <li><a href="modules.html"><span>Modules</span></a></li>
-      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
       <li class="current"><a href="classes.html"><span>Classes</span></a></li>
       <li><a href="files.html"><span>Files</span></a></li>
@@ -25,5 +65,5 @@
     </ul>
   </div>
-  <div class="navpath"><a class="el" href="namespacebdm.html">bdm</a>::<a class="el" href="classbdm_1_1PF.html">PF</a>
+  <div class="navpath"><b>bdm</b>::<a class="el" href="classbdm_1_1PF.html">PF</a>
   </div>
 </div>
@@ -34,8 +74,12 @@
 Inheritance diagram for bdm::PF:</div>
 <div class="dynsection">
-<p><center><img src="classbdm_1_1PF__inherit__graph.png" border="0" usemap="#bdm_1_1PF__inherit__map" alt="Inheritance graph"></center>
-<map name="bdm_1_1PF__inherit__map">
-<area shape="rect" href="classbdm_1_1MPF.html" title="Marginalized Particle filter." alt="" coords="5,239,152,265"><area shape="rect" href="classbdm_1_1BM.html" title="Bayesian Model of a system, i.e. all uncertainty is modeled by probabilities." alt="" coords="40,84,117,111"><area shape="rect" href="classbdm_1_1bdmroot.html" title="Root class of BDM objects." alt="" coords="23,7,135,33"></map>
-<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>
+
+<p><center><img src="classbdm_1_1PF.png" usemap="#bdm::PF_map" border="0" alt=""></center>
+<map name="bdm::PF_map">
+<area href="classbdm_1_1BM.html" alt="bdm::BM" shape="rect" coords="0,56,125,80">
+<area href="classbdm_1_1bdmroot.html" alt="bdm::bdmroot" shape="rect" coords="0,0,125,24">
+<area href="classbdm_1_1MPF.html" alt="bdm::MPF< BM_T >" shape="rect" coords="0,168,125,192">
+</map>
+</div>
 
 <p>
@@ -46,12 +90,6 @@
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db2ed4517083f83de9d61750a87274de"></a><!-- doxytag: member="bdm::PF::PF" ref="db2ed4517083f83de9d61750a87274de" args="(mpdf &amp;par0, mpdf &amp;obs0, int n0)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1PF.html#db2ed4517083f83de9d61750a87274de">PF</a> (<a class="el" href="classbdm_1_1mpdf.html">mpdf</a> &amp;par0, <a class="el" href="classbdm_1_1mpdf.html">mpdf</a> &amp;obs0, int n0)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6f1988db4c3f602d187a6c15ec89cb1e"></a><!-- doxytag: member="bdm::PF::set_est" ref="6f1988db4c3f602d187a6c15ec89cb1e" args="(const epdf &amp;epdf0)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1PF.html#6f1988db4c3f602d187a6c15ec89cb1e">set_est</a> (const <a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;epdf0)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set posterior density by sampling from epdf0. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1PF.html#6f1988db4c3f602d187a6c15ec89cb1e">set_est</a> (const <a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;epdf0)</td></tr>
+
 <tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1PF.html#638946eea22d4964bf9350286bb4efd8">bayes</a> (const vec &amp;dt)</td></tr>
 
@@ -61,4 +99,17 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">access function <br></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Constructors</div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="297339fd48bc1cfd011d16603d54accb"></a><!-- doxytag: member="bdm::PF::PF" ref="297339fd48bc1cfd011d16603d54accb" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>PF</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3b9fdf0d1e712392bfcad5a26c727d44"></a><!-- doxytag: member="bdm::PF::PF" ref="3b9fdf0d1e712392bfcad5a26c727d44" args="(mpdf *par0, mpdf *obs0, epdf *epdf0, int n0)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>PF</b> (<a class="el" href="classbdm_1_1mpdf.html">mpdf</a> *par0, <a class="el" href="classbdm_1_1mpdf.html">mpdf</a> *obs0, <a class="el" href="classbdm_1_1epdf.html">epdf</a> *epdf0, int n0)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e6d63c627cd1600eb0a88294d0ff6ca3"></a><!-- doxytag: member="bdm::PF::set_parameters" ref="e6d63c627cd1600eb0a88294d0ff6ca3" args="(mpdf *par0, mpdf *obs0, int n0)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_parameters</b> (<a class="el" href="classbdm_1_1mpdf.html">mpdf</a> *par0, <a class="el" href="classbdm_1_1mpdf.html">mpdf</a> *obs0, int n0)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9830cb311f67e8276d3f2b167ab681b9"></a><!-- doxytag: member="bdm::PF::set_statistics" ref="9830cb311f67e8276d3f2b167ab681b9" args="(const vec w0, epdf *epdf0)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_statistics</b> (const vec w0, <a class="el" href="classbdm_1_1epdf.html">epdf</a> *epdf0)</td></tr>
+
 <tr><td colspan="2"><div class="groupHeader">Constructors</div></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classbdm_1_1BM.html">BM</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1BM.html#c0f027ff91d8459937c6f60ff8e553ff">_copy_</a> ()</td></tr>
@@ -90,4 +141,7 @@
 void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_drv</b> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;rv)</td></tr>
 
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b38d92f17620813ad872d86e01a26e5e"></a><!-- doxytag: member="bdm::PF::set_rv" ref="b38d92f17620813ad872d86e01a26e5e" args="(const RV &amp;rv)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_rv</b> (const <a class="el" href="classbdm_1_1RV.html">RV</a> &amp;rv)</td></tr>
+
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5be65d37dedfe33a3671e7065f523a70"></a><!-- doxytag: member="bdm::PF::_ll" ref="5be65d37dedfe33a3671e7065f523a70" args="() const " -->
 double&nbsp;</td><td class="memItemRight" valign="bottom"><b>_ll</b> () const </td></tr>
@@ -96,6 +150,6 @@
 void&nbsp;</td><td class="memItemRight" valign="bottom"><b>set_evalll</b> (bool evl0)</td></tr>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="963258c4c2dd05be001003b19aceefef"></a><!-- doxytag: member="bdm::PF::_epdf" ref="963258c4c2dd05be001003b19aceefef" args="() const =0" -->
-virtual const <a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>_epdf</b> () const =0</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bb7b0065d6cb722a66b371a8260121e1"></a><!-- doxytag: member="bdm::PF::posterior" ref="bb7b0065d6cb722a66b371a8260121e1" args="() const =0" -->
+virtual const <a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>posterior</b> () const =0</td></tr>
 
 <tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4ed0f8b880e606316ae800f3a011c3a6"></a><!-- doxytag: member="bdm::PF::_e" ref="4ed0f8b880e606316ae800f3a011c3a6" args="() const =0" -->
@@ -119,10 +173,10 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">pointer into <code><a class="el" href="classbdm_1_1eEmp.html" title="Weighted empirical density.">eEmp</a></code> <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cf3a1b2a407012e47ac878e3aa2fbf34"></a><!-- doxytag: member="bdm::PF::par" ref="cf3a1b2a407012e47ac878e3aa2fbf34" args="" -->
-<a class="el" href="classbdm_1_1mpdf.html">mpdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1PF.html#cf3a1b2a407012e47ac878e3aa2fbf34">par</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="521e9621d3b5e1274275f323691afdaf"></a><!-- doxytag: member="bdm::PF::par" ref="521e9621d3b5e1274275f323691afdaf" args="" -->
+<a class="el" href="classbdm_1_1mpdf.html">mpdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1PF.html#521e9621d3b5e1274275f323691afdaf">par</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parameter evolution model. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c58b8fa634272c3f48845a9020ba55aa"></a><!-- doxytag: member="bdm::PF::obs" ref="c58b8fa634272c3f48845a9020ba55aa" args="" -->
-<a class="el" href="classbdm_1_1mpdf.html">mpdf</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1PF.html#c58b8fa634272c3f48845a9020ba55aa">obs</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d6e7a62fba1e0a0d73c9b87f4fb683ec"></a><!-- doxytag: member="bdm::PF::obs" ref="d6e7a62fba1e0a0d73c9b87f4fb683ec" args="" -->
+<a class="el" href="classbdm_1_1mpdf.html">mpdf</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbdm_1_1PF.html#d6e7a62fba1e0a0d73c9b87f4fb683ec">obs</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Observation model. <br></td></tr>
@@ -141,4 +195,30 @@
 </table>
 <hr><h2>Member Function Documentation</h2>
+<a class="anchor" name="6f1988db4c3f602d187a6c15ec89cb1e"></a><!-- doxytag: member="bdm::PF::set_est" ref="6f1988db4c3f602d187a6c15ec89cb1e" args="(const epdf &amp;epdf0)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void bdm::PF::set_est           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="classbdm_1_1epdf.html">epdf</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>epdf0</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Set posterior density by sampling from epdf0 
+<p>Reimplemented in <a class="el" href="classbdm_1_1MPF.html#dcecdaf2acbbee51acf3018a70989a7e">bdm::MPF&lt; BM_T &gt;</a>.</p>
+
+<p>References <a class="el" href="libPF_8h-source.html#l00036">_samples</a>, <a class="el" href="libPF_8h-source.html#l00030">n</a>, and <a class="el" href="libBM_8h-source.html#l00242">bdm::epdf::sample()</a>.</p>
+
+<p>Referenced by <a class="el" href="libPF_8h-source.html#l00136">bdm::MPF&lt; BM_T &gt;::set_est()</a>.</p>
+
+</div>
+</div><p>
 <a class="anchor" name="638946eea22d4964bf9350286bb4efd8"></a><!-- doxytag: member="bdm::PF::bayes" ref="638946eea22d4964bf9350286bb4efd8" args="(const vec &amp;dt)" -->
 <div class="memitem">
@@ -170,5 +250,5 @@
 <p>Reimplemented in <a class="el" href="classbdm_1_1MPF.html#286d040770d08bd7ff416cea617b1b14">bdm::MPF&lt; BM_T &gt;</a>.</p>
 
-<p>References <a class="el" href="libBM_8h-source.html#l00333">bdm::mpdf::_e()</a>, <a class="el" href="libPF_8h-source.html#l00036">_samples</a>, <a class="el" href="libPF_8h-source.html#l00034">_w</a>, <a class="el" href="libPF_8h-source.html#l00032">est</a>, <a class="el" href="classbdm_1_1epdf.html#a8e39e2ff5e5cf5471bc159530d3b2d3">bdm::epdf::evallog()</a>, <a class="el" href="libBM_8h-source.html#l00318">bdm::mpdf::evallogcond()</a>, <a class="el" href="libPF_8h-source.html#l00030">n</a>, <a class="el" href="libPF_8h-source.html#l00040">obs</a>, <a class="el" href="libPF_8h-source.html#l00038">par</a>, <a class="el" href="libEF_8cpp-source.html#l00184">bdm::eEmp::resample()</a>, and <a class="el" href="libBM_8h-source.html#l00302">bdm::mpdf::samplecond()</a>.</p>
+<p>References <a class="el" href="libBM_8h-source.html#l00342">bdm::mpdf::_e()</a>, <a class="el" href="libPF_8h-source.html#l00036">_samples</a>, <a class="el" href="libPF_8h-source.html#l00034">_w</a>, <a class="el" href="libPF_8h-source.html#l00032">est</a>, <a class="el" href="libBM_8h-source.html#l00246">bdm::epdf::evallog()</a>, <a class="el" href="libBM_8h-source.html#l00327">bdm::mpdf::evallogcond()</a>, <a class="el" href="libPF_8h-source.html#l00030">n</a>, <a class="el" href="libPF_8h-source.html#l00040">obs</a>, <a class="el" href="libPF_8h-source.html#l00038">par</a>, <a class="el" href="libEF_8cpp-source.html#l00185">bdm::eEmp::resample()</a>, and <a class="el" href="libBM_8h-source.html#l00311">bdm::mpdf::samplecond()</a>.</p>
 
 </div>
@@ -216,5 +296,5 @@
 <p>Reimplemented in <a class="el" href="classbdm_1_1ARX.html#080a7e531e3aa06694112863b15bc6a4">bdm::ARX</a>, <a class="el" href="classbdm_1_1MixEF.html#da724da464a75e07521941e430929efa">bdm::MixEF</a>, and <a class="el" href="classbdm_1_1multiBM.html#e157b607c1e3fa91d42aeea44458e2bf">bdm::multiBM</a>.</p>
 
-<p>Referenced by <a class="el" href="libBM_8h-source.html#l00608">bdm::BM::logpred_m()</a>.</p>
+<p>Referenced by <a class="el" href="libBM_8h-source.html#l00628">bdm::BM::logpred_m()</a>.</p>
 
 </div>
@@ -223,5 +303,5 @@
 <li><a class="el" href="libPF_8h-source.html">libPF.h</a><li>libPF.cpp</ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Wed Feb 11 23:34:02 2009 for mixpp by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Sun Feb 15 23:09:38 2009 for mixpp by&nbsp;
 <a href="http://www.doxygen.org/index.html">
 <img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.6 </small></address>