Index: doc/html/formula.repository
===================================================================
--- doc/html/formula.repository (revision 271)
+++ doc/html/formula.repository (revision 275)
@@ -1,23 +1,23 @@
-\form#0:$A=\frac{df}{dx}|_{x0,u0}$
-\form#1:$A=\frac{d}{dx}f(x,u)|_{x0,u0}$
-\form#2:$A=\frac{d}{du}f(x,u)|_{x0,u0}$
-\form#3:$x \sim epdf(rv)$
-\form#4:\[ f(x|a,b) = \prod f(x_i|a_i,b_i) \]
-\form#5:\[M = L'DL\]
-\form#6:\[ x_t = A x_{t-1} + B u_t + Q^{1/2} e_t \]
-\form#7:\[ y_t = C x_{t-1} + C u_t + Q^{1/2} w_t. \]
-\form#8:\[ f(x|\alpha,\beta) = \prod f(x_i|\alpha_i,\beta_i) \]
-\form#9:$x^{(i)}, i=1..n$
-\form#10:$x \sim epdf(rv|cond)$
-\form#11:$\alpha=k$
-\form#12:$\beta=k/\mu$
-\form#13:$\mu/\sqrt(k)$
-\form#14:$\mu$
-\form#15:$\alpha$
-\form#16:$\beta$
-\form#17:\[ \left[\begin{array}{cc} R^{0.5}\\ P_{t|t-1}^{0.5}C' & P_{t|t-1}^{0.5}CA'\\ & Q^{0.5}\end{array}\right]<\mathrm{orth.oper.}>=\left[\begin{array}{cc} R_{y}^{0.5} & KA'\\ & P_{t+1|t}^{0.5}\\ \\\end{array}\right]\]
-\form#18:\[ \mu = \mu_{t-1} ^{l} p^{1-l}\]
-\form#19:$A=Ch' Ch$
-\form#20:$Ch$
+\form#0:\[ y_t = \theta_1 \psi_1 + \theta_2 + \psi_2 +\ldots + \theta_n \psi_n + r e_t \]
+\form#1:$[\theta r]$
+\form#2:$\psi=\psi(y_{1:t},u_{1:t})$
+\form#3:$u_t$
+\form#4:$e_t$
+\form#5:\[ e_t \sim \mathcal{N}(0,1). \]
+\form#6:$ y_t $
+\form#7:$\theta,r$
+\form#8:$ dt = [y_t psi_t] $
+\form#9:\[ x_t = A x_{t-1} + B u_t + Q^{1/2} e_t \]
+\form#10:\[ y_t = C x_{t-1} + C u_t + Q^{1/2} w_t. \]
+\form#11:\[ \left[\begin{array}{cc} R^{0.5}\\ P_{t|t-1}^{0.5}C' & P_{t|t-1}^{0.5}CA'\\ & Q^{0.5}\end{array}\right]<\mathrm{orth.oper.}>=\left[\begin{array}{cc} R_{y}^{0.5} & KA'\\ & P_{t+1|t}^{0.5}\\ \\\end{array}\right]\]
+\form#12:\[ f(y_t|\psi_t, \Theta) = \sum_{i=1}^{n} w_i f(y_t|\psi_t, \theta_i) \]
+\form#13:$\psi$
+\form#14:$w=[w_1,\ldots,w_n]$
+\form#15:$\theta_i$
+\form#16:$\Theta$
+\form#17:$\Theta = [\theta_1,\ldots,\theta_n,w]$
+\form#18:$A=Ch' Ch$
+\form#19:$Ch$
+\form#20:\[M = L'DL\]
 \form#21:$L$
 \form#22:$D$
@@ -34,108 +34,84 @@
 \form#33:$L'DL$
 \form#34:$A'*diag(D)*A = self.L'*diag(self.D)*self.L$
-\form#35:$f(x)$
-\form#36:$f(rv|rvc,data)$
-\form#37:$x=$
-\form#38:$t$
-\form#39:$t+1$
-\form#40:$mu=A*rvc$
-\form#41:$k$
-\form#42:$p$
-\form#43:$l$
-\form#44:$w$
-\form#45:$f(x) = a$
-\form#46:$f(x) = Ax+B$
-\form#47:$f(x,u)$
-\form#48:$f(x,u) = Ax+Bu$
-\form#49:$f(x0,u0)$
-\form#50:$u$
-\form#51:$[\theta r]$
-\form#52:$\psi=\psi(y_{1:t},u_{1:t})$
-\form#53:$u_t$
-\form#54:$e_t$
-\form#55:$\theta_t,r_t$
-\form#56:$\in <0,1>$
-\form#57:$\theta,r$
-\form#58:$dt = [y_t psi_t] $
-\form#59:$epdf(rv)$
-\form#60:$\mathcal{I}$
-\form#61:\[ y_t = \theta_1 \psi_1 + \theta_2 + \psi_2 +\ldots + \theta_n \psi_n + r e_t \]
-\form#62:\[ e_t \sim \mathcal{N}(0,1). \]
-\form#63:\[ f(x) = \sum_{i=1}^{n} w_{i} f_i(x), \quad \sum_{i=1}^n w_i = 1. \]
-\form#64:$f_i(x)$
-\form#65:$\omega$
-\form#66:\[ f(y_t|\psi_t, \Theta) = \sum_{i=1}^{n} w_i f(y_t|\psi_t, \theta_i) \]
-\form#67:$\psi$
-\form#68:$w=[w_1,\ldots,w_n]$
-\form#69:$\theta_i$
-\form#70:$\Theta$
-\form#71:$\Theta = [\theta_1,\ldots,\theta_n,w]$
-\form#72:$p\times$
-\form#73:$n$
-\form#74:\[ f(x|\beta) = \frac{\Gamma[\gamma]}{\prod_{i=1}^{n}\Gamma(\beta_i)} \prod_{i=1}^{n}x_i^(\beta_i-1) \]
-\form#75:$\gamma=\sum_i beta_i$
-\form#76:\[ f(x|\beta) = \frac{\Gamma[\gamma]}{\prod_{i=1}^{n}\Gamma(\beta_i)} \prod_{i=1}^{n}x_i^{\beta_i-1} \]
-\form#77:$\gamma=\sum_i \beta_i$
-\form#78:$mu=A*rvc+mu_0$
-\form#79:\[ f(rv|rvc) = \frac{f(rv,rvc)}{f(rvc)} \]
-\form#80:$ f(rvc) = \int f(rv,rvc) d\ rv $
-\form#81:\[ f(\theta|D) =\frac{f(D|\theta)f(\theta)}{f(D)}\]
-\form#82:$ \theta $
-\form#83:$ D $
-\form#84:$ f(D|\theta) $
-\form#85:$ f(\theta) $
-\form#86:$ f(D) $
-\form#87:$\alpha=\mu/k+2$
-\form#88:$\beta=\mu(\alpha-1)$
-\form#89:\[ f(a,b,c) = f(a|b,c) f(b) f(c) \]
-\form#90:$ f(a|b,c) $
-\form#91:$ f(b) $
-\form#92:$ f(c) $
-\form#93:\[ x\sim iG(a,b) => 1/x\sim G(a,1/b) \]
-\form#94:$y_t$
-\form#95:$[\theta,\rho]$
-\form#96:$\phi_t$
-\form#97:$\mathcal{N}(0,1)$
-\form#98:$\phi$
-\form#99:\[ y_t = \theta' \phi_t + \rho e_t \]
-\form#100:$[u_t, y_{t-1 }, u_{t-1}, \ldots]$
-\form#101:\[ y_t = \theta' \psi_t + \rho e_t \]
+\form#35:\[ f(rv|rvc) = \frac{f(rv,rvc)}{f(rvc)} \]
+\form#36:$ f(rvc) = \int f(rv,rvc) d\ rv $
+\form#37:\[ f(x) = \sum_{i=1}^{n} w_{i} f_i(x), \quad \sum_{i=1}^n w_i = 1. \]
+\form#38:$f_i(x)$
+\form#39:$f(x)$
+\form#40:$f(rv|rvc,data)$
+\form#41:$x=$
+\form#42:$ x $
+\form#43:$ f_x()$
+\form#44:$ [x_1 , x_2 , \ldots \ $
+\form#45:$ f_x(rv)$
+\form#46:$x \sim epdf(rv|cond)$
+\form#47:$ t $
+\form#48:$ t+1 $
+\form#49:$ f(d_{t+1} |d_{t}, \ldots d_{0}) $
+\form#50:$t$
+\form#51:$[y_t, u_t, y_{t-1 }, u_{t-1}, \ldots]$
+\form#52:$ f(x_t|x_{t-1}) $
+\form#53:$ f(d_t|x_t) $
+\form#54:$p$
+\form#55:$p\times$
+\form#56:$n$
+\form#57:\[ f(x|\beta) = \frac{\Gamma[\gamma]}{\prod_{i=1}^{n}\Gamma(\beta_i)} \prod_{i=1}^{n}x_i^{\beta_i-1} \]
+\form#58:$\gamma=\sum_i \beta_i$
+\form#59:\[ f(x|\alpha,\beta) = \prod f(x_i|\alpha_i,\beta_i) \]
+\form#60:\[ x\sim iG(a,b) => 1/x\sim G(a,1/b) \]
+\form#61:$mu=A*rvc+mu_0$
+\form#62:$\mu$
+\form#63:$k$
+\form#64:$\alpha=k$
+\form#65:$\beta=k/\mu$
+\form#66:$\mu/\sqrt(k)$
+\form#67:$ \mu $
+\form#68:$ k $
+\form#69:$ \alpha=\mu/k^2+2 $
+\form#70:$ \beta=\mu(\alpha-1)$
+\form#71:$ \mu/\sqrt(k)$
+\form#72:$l$
+\form#73:\[ \mu = \mu_{t-1} ^{l} p^{1-l}\]
+\form#74:$\mathcal{I}$
+\form#75:$\alpha$
+\form#76:$\beta$
+\form#77:$w$
+\form#78:$x^{(i)}, i=1..n$
+\form#79:$f(x) = a$
+\form#80:$f(x) = Ax+B$
+\form#81:$f(x,u)$
+\form#82:$f(x,u) = Ax+Bu$
+\form#83:$f(x0,u0)$
+\form#84:$A=\frac{d}{dx}f(x,u)|_{x0,u0}$
+\form#85:$u$
+\form#86:$A=\frac{d}{du}f(x,u)|_{x0,u0}$
+\form#87:$ f(D) $
+\form#88:\[ f(a,b,c) = f(a|b,c) f(b) f(c) \]
+\form#89:$ f(a|b,c) $
+\form#90:$ f(b) $
+\form#91:$ f(c) $
+\form#92:\begin{eqnarray} x_t &= &A x_{t-1} + B u_{t} + v_t,\\ y_t &= &C x_{t} + D u_{t} + w_t, \end{eqnarray}
+\form#93:$ x_t $
+\form#94:$ A, B, C, D$
+\form#95:$v_t, w_t$
+\form#96:$Q, R$
+\form#97:\begin{eqnarray} x_t &= &g( x_{t-1}, u_{t}) + v_t,\\ y_t &= &h( x_{t} , u_{t}) + w_t, \end{eqnarray}
+\form#98:$ g(), h() $
+\form#99:\[ y_t = \theta' \psi_t + \rho e_t \]
+\form#100:$y_t$
+\form#101:$[\theta,\rho]$
 \form#102:$\psi_t$
-\form#103:$[y_t, u_t, y_{t-1 }, u_{t-1}, \ldots]$
-\form#104:$ f(x_t|x_{t-1}) $
-\form#105:$ f(d_t|x_t) $
-\form#106:$ x $
-\form#107:$ f_x()$
-\form#108:$ [x_1 , x_2 , \ldots \ $
-\form#109:$ f_x(rv)$
-\form#110:$ t $
-\form#111:$ t+1 $
-\form#112:$ f(d_{t+1} |d_{t}, \ldots d_{0}) $
-\form#113:$ \mu $
-\form#114:$ k $
-\form#115:$ \alpha=\mu/k^2+2 $
-\form#116:$ \beta=\mu(\alpha-1)$
-\form#117:$ \mu/\sqrt(k)$
-\form#118:$ y_t $
-\form#119:$ dt = [y_t psi_t] $
-\form#120:$ [d_1, d_2, \ldots d_t] $
-\form#121:\begin{eqnarray} x_t &= &A x_{t-1} + B u_{t} + v_t,\\ y_t &= &C x_{t} + D u_{t} + w_t, \end{eqnarray}
-\form#122:$ x_t $
-\form#123:$ A, B, C, D$
-\form#124:$v_t, w_t$
-\form#125:$Q, R\$, respectively. Both prior and posterior densities on the state are Gaussian, i.e. of the class enorm. There is a range of classes that implements this functionality, namely: - KalmanFull which implements the estimation algorithm on full matrices, - KalmanCh which implements the estimation algorithm using choleski decompositions and QR algorithm. \section ekf Extended Kalman Filtering Extended Kalman filtering arise by linearization of non-linear state space model: \f{eqnarray} x_t &= &g( x_{t-1}, u_{t}) + v_t,\\ y_t &= &h( x_{t} , u_{t}) + w_t, \f} where $
-\form#126:$Q, R$
-\form#127:\begin{eqnarray} x_t &= &g( x_{t-1}, u_{t}) + v_t,\\ y_t &= &h( x_{t} , u_{t}) + w_t, \end{eqnarray}
-\form#128:$ g(), h() $
-\form#129:\[ V_t = \sum_{i=0}^{n} \left[\begin{array}{c}y_{t}\\ \psi_{t}\end{array}\right] \begin{array}{c} [y_{t}',\,\psi_{t}']\\ \\\end{array} \]
-\form#130:\[ \nu_t = \sum_{i=0}^{n} 1 \]
-\form#131:$ \theta_t , r_t $
-\form#132:\[ V_t = V_{t-1} + \phi \left[\begin{array}{c}y_{t}\\ \psi_{t}\end{array}\right] \begin{array}{c} [y_{t}',\,\psi_{t}']\\ \\\end{array} +(1-\phi) V_0 \]
-\form#133:\[ \nu_t = \nu_{t-1} + \phi + (1-\phi) \nu_0 \]
-\form#134:$ \phi $
-\form#135:$ \phi \in [0,1]$
-\form#136:\[ \mathrm{win_length} = \frac{1}{1-\phi}\]
-\form#137:$ \phi=0.9 $
-\form#138:$ V_0 , \nu_0 $
-\form#139:$ V_t , \nu_t $
-\form#140:$ \phi<1 $
+\form#103:$\mathcal{N}(0,1)$
+\form#104:\[ V_t = \sum_{i=0}^{n} \left[\begin{array}{c}y_{t}\\ \psi_{t}\end{array}\right] \begin{array}{c} [y_{t}',\,\psi_{t}']\\ \\\end{array} \]
+\form#105:\[ \nu_t = \sum_{i=0}^{n} 1 \]
+\form#106:$ \theta_t , r_t $
+\form#107:\[ V_t = V_{t-1} + \phi \left[\begin{array}{c}y_{t}\\ \psi_{t}\end{array}\right] \begin{array}{c} [y_{t}',\,\psi_{t}']\\ \\\end{array} +(1-\phi) V_0 \]
+\form#108:\[ \nu_t = \nu_{t-1} + \phi + (1-\phi) \nu_0 \]
+\form#109:$ \phi $
+\form#110:$ \phi \in [0,1]$
+\form#111:\[ \mathrm{win_length} = \frac{1}{1-\phi}\]
+\form#112:$ \phi=0.9 $
+\form#113:$ V_0 , \nu_0 $
+\form#114:$ V_t , \nu_t $
+\form#115:$ \phi<1 $
+\form#116:$ [d_1, d_2, \ldots d_t] $